SokaMetrics Fixtures API
    • Get live fixtures
      GET
    • Get fixture + analysis by teams
      GET

      Get fixture + analysis by teams

      GET
      /v1/fixtures/
      Returns one fixture with analysis and prediction data.

      Request

      Authorization
      API Key
      Add parameter in header
      Authorization
      Example:
      Authorization: ********************
      or
      Query Params

      Responses

      🟢200
      application/json
      Successful response
      Body

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request GET '/v1/fixtures/?home_team=ssc&away_team=ysc' \
      --header 'Authorization: <api-key>'
      Response Response Example
      {
          "status": "ok",
          "fixture": {
              "home_team": "Simba SC",
              "away_team": "Young Africans SC",
              "home_team_score": 2,
              "away_team_score": 1
          },
          "analysis": {
              "hom_win_probability": "0.65",
              "away_win_probability": "0.20",
              "draw_probability": "0.15",
              "home_xg": "1.8",
              "away_xg": "0.9",
              "home_possesion": "58",
              "away_possesion": "42",
              "home_shots": "14",
              "away_shots": "6",
              "home_shots_on_target": "5",
              "away_shots_on_target": "2",
              "home_fouls": "10",
              "away_fouls": "12",
              "home_passes_completed": "420",
              "away_passes_completed": "310",
              "home_chances_created": "8",
              "away_chances_created": "3"
          }
      }
      Modified at 2026-03-15 12:53:10
      Previous
      Get live fixtures
      Built with